# Generated from transistor-client-0.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name transistor-client

Name: rubygem-%{gem_name}
Version: 0.0.2
Release: 1%{?dist}
Summary: A client for the Transistor.FM media analytics platform
License: MIT
URL: http://transistor.fm
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 2.14.1
# BuildRequires: rubygem(rspec) < 2.15
BuildArch: noarch

%description
The official Ruby client for Transistor.FM, a digital media analytics platform
from Original Machine.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/Readme.md
%{gem_instdir}/spec
%{gem_instdir}/transistor-client.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.0.2-1
- Initial package
